getfacl
Prev | Cygwin Utilities | Next

## Name

getfacl — Display file and directory access control lists (ACLs)

## Synopsis

`getfacl` [-adceEn] `FILE`...

`getfacl` -h | -V

## Options

      -a, --access        display the file access control list only
      -d, --default       display the default access control list only
      -c, --omit-header   do not display the comment header
      -e, --all-effective print all effective rights
      -E, --no-effective  print no effective rights
      -n, --numeric       print numeric user/group identifiers
      -V, --version       print version and exit
      -h, --help          this help text

    When multiple files are specified on the command line, a blank
    line separates the ACLs for each file.

## Description

For each argument that is a regular file, special file or directory, getfacl displays the owner, the group, and the ACL. For directories getfacl displays additionally the default ACL. With no options specified, getfacl displays the filename, the owner, the group, the setuid (s), setgid (s), and sticky (t) bits if available, and both the ACL and the default ACL, if it exists. For more information on Cygwin and Windows ACLs, see the section called “POSIX accounts, permission, and security” in the Cygwin User's Guide. The format for ACL output is as follows:

         # file: filename
         # owner: name or uid
         # group: name or uid
         # flags: sst
         user::perm
         user:name or uid:perm
         group::perm
         group:name or gid:perm
         mask:perm
         other:perm
         default:user::perm
         default:user:name or uid:perm
         default:group::perm
         default:group:name or gid:perm
         default:mask:perm
         default:other:perm

Prev | Up | Next
getconf | Home | gmondump